DECLARE SUB ship (shx!, shy!)
SCREEN 0, 0, 0
x = 78
shx = 5
shy = 10
CLS
extgameloop = 0' off

DO

ke$ = INKEY$

CALL ship(shx, shy)



COLOR 7
LOCATE 20, x
lpc = lpc + 1
IF lpc = 24 THEN
  x = x - 1
   lpc = 0
  IF x < 1 THEN x = 78
END IF

PRINT CHR$(222); " ";

COLOR 2
LOCATE 21, 1: PRINT STRING$(78, 223)
LOOP UNTIL extgameloop = 1
CLS
END

SUB ship (shx, shy)

    h = shx
    v = shy
    LOCATE v, h
    c = INT(RND(1) * (16)) + 1
    COLOR c
    PRINT CHR$(220);
    COLOR 7
    PRINT CHR$(220); CHR$(220); CHR$(220);


END SUB

